# LayoutAppender.hh File Reference

`#include <string>`
`#include <log4cpp/Portability.hh>`
`#include <log4cpp/AppenderSkeleton.hh>`
`#include <log4cpp/BasicLayout.hh>`

Include dependency graph for LayoutAppender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::LayoutAppender
| LayoutAppender is a common superclass for all Appenders that require a Layout. More...